#pragma once
#include "fs/VFS.h"
#include "sys/elf/Image.h"
#include <stdint.h>

namespace ELFLoader
{
    ELFImage* load_elf_from_vfs(VFS::Node* node);
    ELFImage* load_elf_from_filesystem(const char* filename);
    void release_elf_image(ELFImage* image);
}